#include <uxUnidecode.h>

const uxLookupTable UNIDECODE_LATIN1 = {
  256,  /*-- number of entries --*/
  {
   "\x0"   , "\x1"   , "\x2"   , "\x3"   , "\x4"   , "\x5"   , "\x6"   , "\x7"   ,  /*-- U+0000 .. U+0007 --*/
   "\x8"   , "\t"    , "\n"    , ""     , ""     , "\r"    , "\xe"   , "\xf"   ,  /*-- U+0008 .. U+000F --*/
   "\x10"  , "\x11"  , "\x12"  , "\x13"  , "\x14"  , "\x15"  , "\x16"  , "\x17"  ,  /*-- U+0010 .. U+0017 --*/
   "\x18"  , "\x19"  , "\x1a"  , "\x1b"  , "\x1c"  , "\x1d"  , "\x1e"  , "\x1f"  ,  /*-- U+0018 .. U+001F --*/
   " "     , "!"     , "\""    , "#"     , "$"     , "%"     , "&"     , "'"     ,  /*-- U+0020 .. U+0027 --*/
   "("     , ")"     , "*"     , "+"     , ","     , "-"     , "."     , "/"     ,  /*-- U+0028 .. U+002F --*/
   "0"     , "1"     , "2"     , "3"     , "4"     , "5"     , "6"     , "7"     ,  /*-- U+0030 .. U+0037 --*/
   "8"     , "9"     , ":"     , ";"     , "<"     , "="     , ">"     , "?"     ,  /*-- U+0038 .. U+003F --*/
   "@"     , "A"     , "B"     , "C"     , "D"     , "E"     , "F"     , "G"     ,  /*-- U+0040 .. U+0047 --*/
   "H"     , "I"     , "J"     , "K"     , "L"     , "M"     , "N"     , "O"     ,  /*-- U+0048 .. U+004F --*/
   "P"     , "Q"     , "R"     , "S"     , "T"     , "U"     , "V"     , "W"     ,  /*-- U+0050 .. U+0057 --*/
   "X"     , "Y"     , "Z"     , "["     , "\\"    , "]"     , "^"     , "_"     ,  /*-- U+0058 .. U+005F --*/
   "`"     , "a"     , "b"     , "c"     , "d"     , "e"     , "f"     , "g"     ,  /*-- U+0060 .. U+0067 --*/
   "h"     , "i"     , "j"     , "k"     , "l"     , "m"     , "n"     , "o"     ,  /*-- U+0068 .. U+006F --*/
   "p"     , "q"     , "r"     , "s"     , "t"     , "u"     , "v"     , "w"     ,  /*-- U+0070 .. U+0077 --*/
   "x"     , "y"     , "z"     , "{"     , "|"     , "}"     , "~"     , "\x7f"  ,  /*-- U+0078 .. U+007F --*/
   "\x80"  , "\x81"  , "\x82"  , "\x83"  , "\x84"  , ""     , "\x86"  , "\x87"  ,  /*-- U+0080 .. U+0087 --*/
   "\x88"  , "\x89"  , "\x8a"  , "\x8b"  , "\x8c"  , "\x8d"  , "\x8e"  , "\x8f"  ,  /*-- U+0088 .. U+008F --*/
   "\x90"  , "\x91"  , "\x92"  , "\x93"  , "\x94"  , "\x95"  , "\x96"  , "\x97"  ,  /*-- U+0090 .. U+0097 --*/
   "\x98"  , "\x99"  , "\x9a"  , "\x9b"  , "\x9c"  , "\x9d"  , "\x9e"  , "\x9f"  ,  /*-- U+0098 .. U+009F --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00A0 .. U+00A7 --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00A8 .. U+00AF --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00B0 .. U+00B7 --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00B8 .. U+00BF --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00C0 .. U+00C7 --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00C8 .. U+00CF --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00D0 .. U+00D7 --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00D8 .. U+00DF --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00E0 .. U+00E7 --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00E8 .. U+00EF --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""     ,  /*-- U+00F0 .. U+00F7 --*/
   ""     , ""     , ""     , ""     , ""     , ""     , ""     , ""        /*-- U+00F8 .. U+00FF --*/
  }
};
